PETSc version 3.15.5
Fix/Edit manual page

# TSSetPostStage

Sets the general-purpose function called once at the end of each stage.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPostStage(TS ts, PetscErrorCode (*func)(TS,PetscReal,PetscInt,Vec*))

Logically Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

| PetscErrorCode func(TS ts, PetscReal stagetime, PetscInt stageindex, Vec* Y);

### Note

There may be several stages per time step. If the solve for a given stage fails, the step may be rejected and retried. The time step number being computed can be queried using TSGetStepNumber() and the total size of the step being attempted can be obtained using TSGetTimeStep(). The time at the start of the step is available via TSGetTime().

### See Also

TSSetPreStage(), TSSetPreStep(), TSSetPostStep(), TSGetApplicationContext()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages